Package com.github.lgooddatepicker.zinternaltools

# Class TimeSpinnerTimer

java.lang.Object
com.github.lgooddatepicker.zinternaltools.TimeSpinnerTimer

public class TimeSpinnerTimer extends Object
TimeSpinnerTimer, This class implements a timer which can fire an increment event at a rate that accelerates over a set period of time. This is used by the time picker component. The increment event is used to change the time and the time picker while the user is holding a spinner activation key. (The spinner functionality may be activated with the keyboard or the mouse.)

## Constructor Summary

Constructors
Constructor
Description
`TimeSpinnerTimer(TimePicker timePicker, int changeAmountMinutes)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`start()`
start, This is called to start the timer, and to initialize the needed variables.
`void`
`stop()`
stop, This is called to stop the timer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeSpinnerTimer

public TimeSpinnerTimer(TimePicker timePicker, int changeAmountMinutes)
Constructor.

## Method Details

### stop

public void stop()
stop, This is called to stop the timer.

### start

public void start()
start, This is called to start the timer, and to initialize the needed variables.